Subject: Re: I'm new
From: [email-masked] (Wei Ku)

14 Mar 1998 07:51:16 -0800
Message-ID: <[email-masked]>
Reply-To: "Wei Ku" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Bartlee A. Anderson" <[email-masked]>
Cc: "gnu-win32" <[email-masked]>

I once posted the executable files: dos2ux.exe and ux2dos.exe to the list
 not a good idea considering the size of the files ).

The mechanics of shortcut is quick simple, the file dropped upon the
shortcut will be treated as argument ( stored in argv[ ] of course ).
Therefore, all utilities that accept file name as argument can be used with
shortcut.

As to the question of environ variables, I am using NT and putting all the
necessary variables in system. However, it is not necessary to do so if one
compiled these two utilities with VC++.

I will have both utilities ( compiled with both g++ and VC++) available on
my tiny FTP site soon  ( maybe before 3 / 12 ):

ftp://magnon.phys.utk.edu

Wei Ku

-----Original Message-----
From: Bartlee A. Anderson <[email-masked]>
To: Wei Ku <[email-masked]>
Date: Wednesday, March 11, 1998 12:45 PM
Subject: Re: I'm new

>Maybe you could discuss the mechanics of what you do with the shortcut
>dos2unix and how it is implemented. It sounds neat. Unfortunately I
>use a .bat file to set up my environment. I assume you have your
>settings in autoexec or use NT.
>Bart
>Wei Ku wrote:
>>
>> Hello, Burrows:
>>
>> Here is answer to some of your questions:
>>
>> >I too am new, and was very confused when, thinking I downloaded a c
>> >compiler, I downloaded some sort of unix shell.
>> >
>>
>> Not exactly, what you should get is cdk.exe in which full set of building
>> utilities ( including g++, c++, gcc, ld, gdb) can be found.
>>
>> >I downloaded the compiler because I want to learn C (been using VB for
too
>> >long). I am not very familiar with Unix (though I do not mind learning).
>> And
>> >while, yes, I know about the doc files at cygnus, I haven't read them
>> >because the preamble says it does not really apply to Win32 yet.
>> >
>> >So my question is, what is a good book, or online source, where I can
learn
>> >the *basics* of Bash ( I only want to know enough so I can compile and
run
>> a
>> >program). Apparently Bash does not support any of the unix commands I
know:
>> >ls, cd, etc...).
>> >
>>
>> You must be kidding us. Almost all the commonly used commands in UNIX are
>> now ported to cygnus ( including ls, cd, etc ... ) Please read the readme
>> file in the ftp site ( but unfortunately not in the cdk.exe file ) for
more
>> information about the installation. If you can not use 'ls' there is
>> something wrong with your installation process.
>>
>> >BTW--I *did* look at the archives for this list, but, unfortunately, it
is
>> >not searchable. I apologize for this post, because I realize the list
must
>> >get one of these every time someone like me downloads the program, but I
>> >could not find a similar post in the archives.
>> >
>> >Also, is it necessary to use the faux Unix shell? Or can I just use
Notepad
>> >to write my program, and then compile from the command line
>> >(like g++.exe myprog.cpp).
>> >
>>
>> That is the idea. Edit your program and use g++ to compile it. You need
to
>> be careful about the "binary mounting" issue discussed frequently in the
>> list if you want to use notepad. My own solution is to put a shortcut of
>> "dos2ux" utility on the desktop and drag the text file onto it before I
>> compile it since I like notepad and Visual C++ text editor.
>>
>> Enjoy !
>>
>> Sincerely,
>> Wei Ku
>>
>> ***************************************
>> Department of Physics and Astronomy
>> The University of Tennessee
>> 1408 Circle Drive
>> Knoxville, Tennessee 37996-1200
>> [email-masked]
>> ---------------------------------------
>> Solid State Division
>> Oak Ridge National Laboratory
>> P.O.Box 2008
>> Oak Ridge, TN 37831-6032
>> Phone: (423) 574-5795
>> Fax: (423) 574-4143
>> [email-masked]
>> ***************************************
>>
>> -
>> For help on using this list (especially unsubscribing), send a message to
>> "[email-masked]" with one line of text: "help".
>
>--
>Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
>Rockwell International                    Electronic Commerce Division
>300 Bauman Ct.                                [email-masked]
>MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
>Wood Dale, IL 60191                               FAX   (630) 227-9771
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".